package net.sf.itcb.addons.monitoring.track.bean;



/**
 * This bean contains all information that has to be tracked
 * 
 * @author Pierre Le Roux
 */
public class ItcbTrackBean {

	private long startTime;
	private String className;
	private String method;
	private long timeInMillis;
	private Throwable exception;
	private String transactionId;
	private Object[] parameters;
	
	public Object[] getParameters() {
		return parameters;
	}

	public void setParameters(Object[] parameters) {
		this.parameters = parameters;
	}

	public long getStartTime() {
		return startTime;
	}

	public void setStartTime(long startTime) {
		this.startTime = startTime;
	}


	public long getTimeInMillis() {
		return timeInMillis;
	}

	public Throwable getException() {
		return exception;
	}

	public void setTimeInMillis(long timeInMillis) {
		this.timeInMillis = timeInMillis;
	}

	public void setException(Throwable exception) {
		this.exception = exception;
	}

	public void setTransactionId(String transactionId) {
		this.transactionId = transactionId;
	}

	public String getTransactionId() {
		return transactionId;
	}

	public void setClassName(String className) {
		this.className = className;
	}

	public String getClassName() {
		return className;
	}

	public void setMethod(String method) {
		this.method = method;
	}

	public String getMethod() {
		return method;
	}
}
